# Drupal email_username module

This module enables the use of email addresses as the drupal account username.
The following things are changed / added:

- The `name` user field is not required anymore
- The `mail` user field is now required
- The `mail` user field is more thoroughly validated
- The `name` user field is set to the value of the `mail` field on presave.
- Existing users have their `name` set to the `mail` field value if they have an email set.

## Contributing

**Setup local environment**

- Install [Nix Package Manager](https://nixos.org/download)
- Enable support for [Nix Flakes](https://nixos.wiki/wiki/Flakes)
- In the module root run `nix develop`

> The following commands are assumed to be executed in the shell spanned with `nix develop`!

**Setup local drupal installation**

- Run `setup-drupal`

**Run PHPCS**

- Run `composer phpcs`

**Run PHPUnit**

- Run `composer unit`
